# Single page test CAS Client

This single page application acting as CAS Client.

Features :
 * Login/Logout on CAS server
 * Local logout
 * Show authenticated user's informations (login and attributes)
 * Show complete debug log of phpCAS library

## Requirements

 * phpCAS library (from php-cas Debian package for instance)
 * CURL and Dom PHP modules (from php-curl and php-dom Debian packages for instance)
 * Apache PHP support (using _mod_php_ or _PHP Fpm_, install _libapache2-mod-php_ Debian packages for instance)
 * One directory writable by Apache user for logging

## Installation

  * Install the application and its requirements
```
apt install -y libapache2-mod-php php-cas php-curl php-dom git
mkdir -p /var/www/connexion/public_html
git clone https://gogs.zionetrix.net/bn8/test-cas-client-sp.git /var/www/connexion/test-cas-client-sp
ln -s /var/www/connexion/test-cas-client-sp /var/www/connexion/public_html/test-sp
chown www-data: /var/www/connexion/test-cas-client-sp/logs
```

  * Configure access to the application, for instance, in an existing Apache _VirtualHost_ definition by adding something like:
```
Alias /test-sp /var/www/connexion/public_html/test-sp
ProxyPass /test-sp !
<Directory /var/www/connexion/public_html/test-sp>
        Require all granted
</Directory>
```
